.blogs-parent-main-div {
    background-color: #F0F3F7;
    padding: 10px 0 5% 0;
    display: flex;
    flex-direction: column;
    justify-content: center;
}

.blog-parent-div {
    cursor: pointer;
    width: 100%;
    padding: 0 10px;
    margin-top: 20px;

}

.blog-parent-div-image-parent {
    width: 100%;
    overflow: hidden;
    border-radius: 10px;
}

.blog-parent-div img:hover {
    transform: scale(1.1);
}


.blog-parent-div img {
    width: 100%;
    height: auto;
    max-height: 250px;
    display: block;

    transition: transform 0.5s ease-in;
}


.single-blog-title-content {
    margin-top: 10px;
}

.single-blog-title {
    font-size: 16px;
    font-weight: var(--desktop-subheading-font-weight);
    line-height: 24px;
    text-align: left;
}

.single-blog-content {
    font-size: 9px;
    font-weight: var(--custom-paragraph-font-weight);
    line-height: 13.5px;
    text-align: left;
    color: var(--secondary-font-color);
}

.blog-footer-div {
    display: flex;
    gap: 10px;
}

.blog-footer-div-name,
.blog-footer-div-date,
.blog-footer-div-time {
    font-size: 10px;
    font-weight: var(--desktop-subheading-font-weight);
    line-height: 15px;
    text-align: left;
    color: var(--secondary-font-color);
}


.explore-more-blogs-button-parent {
    display: flex;
    justify-content: center;
    align-items: center;
}

.explore-more-blogs-button {
    margin-top: 2%;
    color: var(--primary-color);
    background-color: var(--secondary-color);
    padding: 10px 20px;
    font-size: 19px;
    font-weight: var(--desktop-subheading-font-weight);
    line-height: 28.5px;
    text-align: left;
    border: none;
    cursor: pointer;
    box-shadow: 0px 4px 4px 0px #00000040;
    /* Add your desired box shadow here */

}

.explore-more-blogs-button:hover {
    color: #fff;
    background-color: var(--primary-color);
}

.explore-more-blogs-button a {
    text-decoration: none;
    color: inherit;
}


@media (max-width: 768px) {
    .explore-more-blogs-button-parent {
        margin: 5% auto;
    }

    .explore-more-blogs-button {
        padding: 5px 10px;
        font-size: var(--mobile-paragraph-font-size);
        font-weight: var(--mobile-subheading-font-weight);
        text-align: center;
        border: none;
        cursor: pointer;
    }
}